Package oracle.jdbc.aq

## Class AQFactory

- java.lang.Object
- - oracle.jdbc.aq.AQFactory

    public abstract class AQFactory
    extends java.lang.Object

Factory class for AQ.

### Constructor Summary

Constructors
`AQFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static AQAgent` `createAQAgent()` Constructs a new AQ agent.
`static AQMessage` `createAQMessage​(AQMessageProperties prop)` Constructs a new AQMessage with given mess properties.
`static AQMessageProperties` `createAQMessageProperties()` Constructs a new instance of AQMessageProperties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AQFactory

    public AQFactory()

### Method Detail

#### createAQMessage

    public static AQMessage createAQMessage​(AQMessageProperties prop)
                                     throws java.sql.SQLException

Constructs a new AQMessage with given mess properties.

Throws:
  `java.sql.SQLException`

#### createAQMessageProperties

    public static AQMessageProperties createAQMessageProperties()
                                                         throws java.sql.SQLException

Constructs a new instance of AQMessageProperties.

Throws:
  `java.sql.SQLException`

#### createAQAgent

    public static AQAgent createAQAgent()
                                 throws java.sql.SQLException

Constructs a new AQ agent.

Throws:
  `java.sql.SQLException`